package uca.baptistearthur.geocaching.ui.activity

import android.annotation.SuppressLint
import android.os.Bundle
import androidx.appcompat.app.AppCompatActivity
import androidx.fragment.app.Fragment
import androidx.recyclerview.widget.LinearLayoutManager
import androidx.recyclerview.widget.RecyclerView
import com.google.android.material.bottomnavigation.BottomNavigationView
import uca.baptistearthur.geocaching.R

import uca.baptistearthur.geocaching.model.Stub
import uca.baptistearthur.geocaching.recyclerview.RoadTripAdapter
import uca.baptistearthur.geocaching.ui.fragment.Map
import uca.baptistearthur.geocaching.ui.fragment.RoadTripFragment
import uca.baptistearthur.geocaching.model.RoadTrip

class MainWindow: AppCompatActivity() {
//    private val model: List<RoadTrip> = Stub().load()
    override fun onCreate(savedInstanceState: Bundle?) {

        val map = Map()

        super.onCreate(savedInstanceState)
        setContentView(R.layout.main_window)

//        Bottom menu
        loadFragment(Map())
        val navigation = findViewById<BottomNavigationView>(R.id.bottom_navigation)
        navigation.selectedItemId= R.id.map
        navigation.setOnItemSelectedListener {
            when (it.itemId) {
                R.id.map -> {
                    loadFragment(map)
                    true
                }
                R.id.roadTrip -> {
                    loadFragment(RoadTripFragment())
                    true
                }
                else -> false
            }
        }
    }

    // RecyclerView voyage
//    override fun onResume() {
//        super.onResume()
//        findViewById<RecyclerView>(R.id.recyclerViewRoadTripList).adapter = RoadTripAdapter(model)
//        findViewById<RecyclerView>(R.id.recyclerViewRoadTripList).layoutManager = LinearLayoutManager(this)
//    }

    private fun loadFragment(fragment: Fragment){
        val transaction = supportFragmentManager.beginTransaction()
        transaction.replace(R.id.fragment_container, fragment)
        transaction.commit()

    }

}